using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace takmicenje_2
{
    class Program
    {
        static void Main(string[] args)
        {
            var ulazna_linija = Console.ReadLine().Split();

            int p = int.Parse(ulazna_linija[0]);
            int q = int.Parse(ulazna_linija[1]);
            int r = int.Parse(ulazna_linija[2]);
            Int64 L = Int64.Parse(ulazna_linija[3]);
            Int64 R = Int64.Parse(ulazna_linija[4]);
            Int64 c = 0;
            Int64 b = 0;
            for (Int64 i = L; i <= R; i++)
            {
                b = 0;
                if (i % q > 0)
                    b++;

                if (i % p > 0)

                    b++;


                if (i % r > 0)

                    b++;

                if ((b + (i / q) + (i / p) + (i / r)) <= i)
                    c++;
            }
            Console.WriteLine(c);
        }
    }
}